DUP(3)

NAME
dup - duplicate an open file descriptor

SYNOPSIS
#include <u.h>
#include <libc.h>

int dup(int oldfd, int newfd)

DESCRIPTION
Given a file descriptor, oldfd, referring to an open file, dup returns a new file descriptor referring to the same file.

If newfd is -1 the system chooses the lowest available file descriptor. Otherwise, dup will use newfd for the new file descriptor (closing any old file associated with newfd).

SOURCE
/usr/local/plan9/src/lib9/dup.c

DIAGNOSTICS
Sets errstr.

BUGS
To avoid name conflicts with the underlying system, dup is a preprocessor macro defined as p9dup; see intro(3).